<style>
	.signSuccse{
		width: 100%;
		height: 100vh;
		overflow-y: auto;
		display: flex;
		flex-direction: column;
		align-items: center;
		
	}
	.signSuccse .text{
		font-size: 15px;
		font-family: PingFang SC;
		
		color: #111111;
		line-height: 21px;
	}
	.signSuccse .btn{
		width: 420rpx;
		height: 44px;
		border-radius: 10px;
		background: #F70027;
		display: flex;
		align-items: center;
		justify-content: center;
		margin-top: 67px;
		font-size: 16px;
		color: #FFFFFF;
		
	}
	.popup_box{
		width: 100%;
		background: #FFF;
		display: flex;
		flex-direction: column;
		align-items: center;
		
		border-radius: 10px;
		background-image: url('https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Static/signSuccsetc.png');
		background-size:cover;
		position: relative;
		height: 622rpx;
	}
</style>
<template>
	<view class="signSuccse">
		<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Static/signSuccsebg.png" mode="aspectFill" style="width: 73px;height: 73px;margin-top: 80px;"></image>
		<view style="font-size: 20px;color: #111111;font-weight: bold;margin-top: 22px;">报名信息已提交</view>
		<view class="text" style="margin-top: 23px;">审核通过后(大会开始前3日）</view>
		<view class="text">参会入场短信将发送至您的手机</view>
		<view class="text">请留意查收！</view>
		<view class="text">在会前请进行核酸检测，</view>
		<view class="text " style="color: red;">进入会场须提供48小时核酸阴性报告。</view>
		<view class="text">感谢您的支持</view>
		<view class="btn" @click="golist">好的</view>
		<u-popup v-model="rzshow" mode="center" length="80%" :closeable="true">
			<view class="popup_box">
				<view class="btn"  style="position: absolute;left: 50%;bottom: 78rpx;margin-left: -210rpx;" @click="queren">立即入驻</view> 
				<u-icon name="cross" color="#909399"  size="42" style="position: absolute;right: 15px;top: 15px;"  @click="rzshow=false"></u-icon>
			</view>
			
		</u-popup>

	</view>
</template>

<script>
	export default {
		data(){
			return{
				companyStatus:0,
				rzshow:false,
			}
		},
		created() {
			
		},
		mounted() {
			setTimeout(()=>{
				this.getComponyStatus()
				
			},2000)
		},
		methods:{
			// 获取公司认证信息
			getComponyStatus(){
				let that = this
				let parms = {
					url: "/api/AppletTrade/GetCommpanyStatus",
				}
				this.request2(parms, (res) => {
					if (res.resultCode == 1&&res.data!=null) {
						// 获取公司名字和认证状态
						that.companyStatus=res.data.CompanyStatus
						if(that.companyStatus!=5){
							this.rzshow=true
						}						
					}
				})
			},
			queren(){//去认证
				uni.reLaunch({
				  url: "/pages/kotra/identification",
				});
			},
			golist(){//报名列表
				uni.reLaunch({
				  url: "/pages/kotra/activityList"
				});
				
			}
		}
	}
</script>

